cocoapod的报错处理:The dependency `xxx` is not used in
cocoapod的报错处理:The dependency `xxx` is not used in
法斗斗 发表于2年前
cocoapod的报错处理:The dependency `xxx` is not used in
  • 发表于 2年前
  • 阅读 74
  • 收藏 0
  • 点赞 2
  • 评论 0

【腾讯云】新注册用户域名抢购1元起>>>   

 

cocoapod的报错处理:The dependency `xxx` is not used in any concrete target. 

 

 

今天在配置谷歌框架的时候遇到了这个问题

也可能是公司一直不让用cocoapods来集成第三方(都是自己写o(╯□╰)o)

久而久之远离了开源社会,哇咔咔,今天遇到的报错是这样的:

 

我想,我做的格式是对的啊~以前不是也这么配置的么~

下图为传统配置:

 

总是出来这个问题,去官方一看,上面写着建议格式:

https://cocoapods.org/ 官网

这样就避免了问题

 

另外说一下,很多在国内的一直在用http://ruby.taobao.org/

记得是https 不是httpo(╯□╰)o很多人下载不到资源就在群里问我,log一下就能看到问题了

如果能翻墙的话最好还是用官方给的ruby地址。

 

还有一点就是,关于你在 install cocoapods的时候 会有last version提示

记得使用这句话:

  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 20
博文 317
码字总数 6335
×
法斗斗
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: